body {
    height: 100vh;
    margin: 0;
    font-family: 'Arial';
}

.clickable {
    cursor: pointer;
}

#map {
    top: 0px;
    height: 100vh;
    width: 100vw;
    float: left;
}

#seach-box {
    position: absolute;
    z-index: 9999;
    top: 5px;
    right: 5px;
    max-width: 97vw;
    height: calc(100vh - 10px);
    background-color: white;
}

#view-box {
    width: 100vw;
    max-height: 100vw;
}


tbody {
    position: absolute;
    width: 100%;
    height: 83vh;
    overflow: scroll;
}

tr {
    width: 100%;
}

table {
    position: relative;
    height: 100%;
    width: 100%;
}

thead {

    width: 100%;
}

/* CSS */
.button-78 {
    align-items: center;
    appearance: none;
    background-clip: padding-box;
    background-color: initial;
    background-image: none;
    border-style: none;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    flex-direction: row;
    flex-shrink: 0;
    font-family: Eina01, sans-serif;
    font-size: 10px;
    font-weight: 500;
    justify-content: center;
    line-height: 10px;
    margin: 0;
    min-height: 10px;
    outline: none;
    overflow: visible;
    padding: 15px 15px;
    pointer-events: auto;
    position: relative;
    text-align: center;
    text-decoration: none;
    text-transform: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    width: auto;
    word-break: keep-all;
    z-index: 0;
    min-width: 80px;
}

.button-78.button-78.button-sapce.active, 
.button-78:before,
.button-78:after {
    border-radius: 80px;
}

.button-78.button-78.button-sapce.active:after{
    background-image: none;
}

.button-78:before {
    background-image: linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
    content: "";
    display: block;
    height: 100%;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: -2;
}

.button-78:after {
    background-color: initial;
    background-image: linear-gradient(#541a0f 0, #0c0d0d 100%);
    bottom: 4px;
    content: "";
    display: block;
    left: 4px;
    overflow: hidden;
    position: absolute;
    right: 4px;
    top: 4px;
    transition: all 100ms ease-out;
    z-index: -1;
}

.button-78:hover:not(:disabled):before {
    background: linear-gradient(92.83deg, rgb(255, 116, 38) 0%, rgb(249, 58, 19) 100%);
}

.button-78:hover:not(:disabled):after {
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    transition-timing-function: ease-in;
    opacity: 0;
}

.button-78:active:not(:disabled) {
    color: #ccc;
}

.button-78:active:not(:disabled):before {
    background-image: linear-gradient(0deg, rgba(0, 0, 0, .2), rgba(0, 0, 0, .2)), linear-gradient(92.83deg, #ff7426 0, #f93a13 100%);
}

.button-78:active:not(:disabled):after {
    background-image: linear-gradient(#541a0f 0, #0c0d0d 100%);
    bottom: 4px;
    left: 4px;
    right: 4px;
    top: 4px;
}

.button-78:disabled {
    cursor: default;
    opacity: .24;
}

.buttonGroup {
    width: 100vw;
    position: absolute;
    bottom: 10px;
    z-index: 9999;
    text-align: center;
}

.searchButton {
    width: 100vw;
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 9999;
    text-align: right;
}

.exitBtnSerachScreen {
    float: right;
    margin-right: 10px !important;
}

.button-sapce {
    margin: auto;
}

.popupButton {
    display: inline-block;
    padding: 0.3em 1.2em;
    margin: 0 0.1em 0.1em 0;
    border: 0.16em solid rgba(255, 255, 255, 0);
    border-radius: 2em;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
    color: #FFFFFF;
    text-shadow: 0 0.04em 0.04em rgba(0, 0, 0, 0.35);
    text-align: center;
    transition: all 0.2s;
    width: 100%;
    margin-top: 10px;
    min-height: 35px;
}

.popupButton:hover {
    border-color: rgba(255, 255, 255, 1);
}

@media all and (max-width:30em) {
    .popupButton {
        display: block;
        margin: 0.2em auto;
    }
}



/* table stkye */

.styled-table {
    border-collapse: collapse;
    margin: 25px 0;
    font-size: 0.9em;
    font-family: sans-serif;
    min-width: 400px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}

.styled-table thead tr {
    background-color: #009879;
    color: #ffffff;
    text-align: left;
}

.styled-table th,
.styled-table td {
    padding: 12px 15px;
}

.styled-table tbody tr {
    border-bottom: 1px solid #dddddd;
}

.styled-table tbody tr:nth-of-type(even) {
    background-color: #f3f3f3;
}

.styled-table tbody tr:last-of-type {
    border-bottom: 2px solid #009879;
}

.styled-table tbody tr.active-row {
    font-weight: bold;
    color: #009879;
}



.form__group {
    position: relative;
    padding: 15px 0 0;
    margin-top: 10px;
    width: 50%;
}

.form__field {
    font-family: inherit;
    width: 100%;
    border: 0;
    border-bottom: 2px solid #9b9b9b;
    outline: 0;
    font-size: 1.3rem;
    padding: 7px 0;
    background: transparent;
    transition: border-color 0.2s;
}

.form__field::placeholder {
    color: transparent;
}

.form__field:placeholder-shown~.form__label {
    font-size: 1.3rem;
    cursor: text;
    top: 20px;
}

.form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    
}

.form__field:focus {
    padding-bottom: 6px;
    font-weight: 700;
    border-width: 3px;
    border-image: linear-gradient(to right, #11998e, #38ef7d);
    border-image-slice: 1;
}

.form__field:focus~.form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: #11998e;
    font-weight: 700;
}

/* reset input */
.form__field:required,
.form__field:invalid {
    box-shadow: none;
}

